//
//  LayoutSubviewsView.swift
//  Subviews
//
//  Created by Mark Meretzky on 12/11/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class LayoutSubviewsView: UIView {
	let squares: [Square] = [Square]();	//an empty array of Square objects

	override init(frame aRect: CGRect) {
		super.init(frame: aRect);
		backgroundColor = UIColor.orangeColor();
		autoresizingMask = UIViewAutoresizing.FlexibleWidth | UIViewAutoresizing.FlexibleHeight;

		for var i = 0; i < 9; ++i {
			let square: Square = Square(frame: CGRectZero);
			squares.append(square);
			addSubview(square);
		}
	}

	//not called
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
		backgroundColor = UIColor.orangeColor();
	}

	override func layoutSubviews() {
		super.layoutSubviews();

		//top left
		squares[0].frame = CGRectMake(bounds.origin.x, bounds.origin.y, 100, 100);

		//top center
		squares[1].frame = CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y, 100, 100);

		//top right
		squares[2].frame = CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y, 100, 100);

		//mid left
		squares[3].frame = CGRectMake(bounds.origin.x, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);

		//mid center
		squares[4].frame =
			CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);

		//mid right
		squares[5].frame =
			CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);

		//bottom left
		squares[6].frame = CGRectMake(bounds.origin.x, bounds.origin.y + bounds.size.height - 100, 100, 100);

		//bottom center
		squares[7].frame = CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y + bounds.size.height - 100, 100, 100);

		//bottom right
		squares[8].frame = CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y + bounds.size.height - 100, 100, 100);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
