//
//  View.swift
//  Subviews
//
//  Created by Mark Meretzky on 12/11/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	var littleViews: [UIView] = [UIView]();	//an empty array of UIView objects
	var index: Int = 0;

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
		littleViews.append(InitView(frame: frame));             //red
		littleViews.append(LayoutSubviewsView(frame: frame));   //orange
		littleViews.append(AutoresizingMaskView(frame: frame)); //yellow
		littleViews.append(LayoutConstraintView(frame: frame)); //green

		addSubview(littleViews[index]);
	}

	override func touchesBegan(touches: NSSet, withEvent event: UIEvent) {
		//Advance to the next little view.
		var newIndex: Int = index + 1;
		if newIndex == littleViews.count {
			newIndex = 0;
		}

		//Make littleViews[newIndex] the same size as this View.
		littleViews[newIndex].frame = bounds;

		UIView.transitionFromView(littleViews[index],
			toView: littleViews[newIndex],
			duration: 2,
			options: UIViewAnimationOptions.TransitionFlipFromLeft,
			completion: nil);

		index = newIndex;
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
